Interface ScpEndpointBuilderFactory.ScpBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
ScpEndpointBuilderFactory
public static interface ScpEndpointBuilderFactory.ScpBuilders
-
Method Summary
Modifier and TypeMethodDescriptionSCP (camel-jsch) Copy files to/from remote hosts using the secure copy protocol (SCP).SCP (camel-jsch) Copy files to/from remote hosts using the secure copy protocol (SCP).
-
Method Details
-
scp
SCP (camel-jsch) Copy files to/from remote hosts using the secure copy protocol (SCP). Category: file Since: 2.10 Maven coordinates: org.apache.camel:camel-jsch Syntax:scp:host:port/directoryNamePath parameter: host (required) Hostname of the FTP server Path parameter: port Port of the FTP server Path parameter: directoryName The starting directory- Parameters:
path- host:port/directoryName- Returns:
- the dsl builder
-
scp
SCP (camel-jsch) Copy files to/from remote hosts using the secure copy protocol (SCP). Category: file Since: 2.10 Maven coordinates: org.apache.camel:camel-jsch Syntax:scp:host:port/directoryNamePath parameter: host (required) Hostname of the FTP server Path parameter: port Port of the FTP server Path parameter: directoryName The starting directory- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- host:port/directoryName- Returns:
- the dsl builder
-